| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
OgreBites::Event Union Reference

`#include <OgreInput.h>`

## Public Attributes
MouseButtonEvent | button
KeyboardEvent | key
MouseMotionEvent | motion
TouchFingerEvent | tfinger
int | type
MouseWheelEvent | wheel

## Member Data Documentation

## ◆ type

int OgreBites::Event::type

## ◆ key

KeyboardEvent OgreBites::Event::key

## ◆ button

MouseButtonEvent OgreBites::Event::button

## ◆ wheel

MouseWheelEvent OgreBites::Event::wheel

## ◆ motion

MouseMotionEvent OgreBites::Event::motion

## ◆ tfinger

TouchFingerEvent OgreBites::Event::tfinger

The documentation for this union was generated from the following file:

- OgreInput.h